#include <stdio.h>
#include <math.h>
#include <bits/stdc++.h>
#include <string>
#define ll long long

using namespace std;

void unos(vector<ll> &H,ll N)
{
	for(int i=0;i<N;i++)
	{
		cin >> H[i];
	}
}
void provera(vector<ll> H,ll L,ll N)
{
	for(int i=0;i<N;i++)
	{
		if(H[i]<=L)
		{
			cout << i+1;
			return;
		}
	}
	cout << -1;
}

main()
{
	ll N,L;
	
	cin >> N >> L;
	
	vector<ll> H(N);
	
	unos(H,N);
	
	provera(H,L,N);
	
	return 0;
}